plugins {
    `java-platform`
    id("jf.maven-publish")
}

publishing {
    publications {
        register("mavenJava", MavenPublication::class) {
            from(components["javaPlatform"])
        }
    }
}

tasks.withType(GenerateModuleMetadata::class) {
    enabled = true
}

dependencies {
    constraints {
        for (proj in rootProject.allprojects) {
            if (proj == project) {
                continue
            }
            if (proj.name == "libjf-catalog") {
                continue
            }

            api(project(proj.path))
        }
    }
}